# $Revision: 1.4 $, $Date: 2011/08/23 16:49:20 $
Summary:	jsmacro - an oddly named JavaScript preprocessor
Name:		jsmacro
Version:	0.2.11.1
Release:	1
License:	MIT
Group:		Development/Languages/Python
#Source0:	https://github.com/smartt/jsmacro/tarball/master#/%{name}-%{version}.tgz
Source0:	https://github.com/glensc/jsmacro/tarball/%{version}#/%{name}-%{version}.tgz
# Source0-md5:	dcd900017da95349f2030cd8e1717c36
URL:		http://www.eriksmartt.com/blog/archives/tag/jsmacro
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
jsmacro is pre-processor designed for use with JavaScript

This tool was developed to meet a desire to strip Debug and Test code
from production JavaScript files in an automated manner.

%prep
%setup -qc
mv *-%{name}-*/* .

# fix #!%{_bindir}/env python -> #!%{__python}:
%{__sed} -i -e '1s,^#!.*python,#!%{__python},' %{name}.py

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
cp -p %{name}.py $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.markdown
%attr(755,root,root) %{_bindir}/jsmacro

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jsmacro.spec,v $
Revision 1.4  2011/08/23 16:49:20  glen
- v0.2.11.1: my own fork for having py2.4+ support

Revision 1.3  2011/08/23 16:07:52  glen
- fix md5

Revision 1.2  2011/08/23 15:54:10  glen
- up to 0.2.11, really the guy should learn how to tag the code

Revision 1.1  2011/08/23 15:48:16  glen
- new
